### Property

# Handy Flap:modal

since: 1.2

#### Declaration

    property modal: gboolean [ read, write ]

#### Description [src]

Whether the flap is modal.

If `TRUE`, clicking the content widget while flap is revealed, as well as pressing the `Esc` key, will close the flap. If `FALSE`, clicks are passed through to the content widget.

Type:`gboolean`

Available since: 1.2

Default value | TRUE
Getter method | `hdy_flap_get_modal()`
Setter method | `hdy_flap_set_modal()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no